Your browser is not supported

For the best experience, use Google Chrome or Mozilla Firefox.

Fortify for Eclipse

지원 제품

Eclipse Complete 플러그인

Fortify SCA 설치 프로그램에 포함된 Fortify Plugin for Eclipse는 세 가지 별도 플러그인 요소로 구성됩니다.

  • 감사 – 기존 스캔 결과를 열고 감사할 수 있습니다. 이러한 결과에는 감지된 보안 취약성에 대한 세부적인 설명과 권장 해결 전략이 포함됩니다. 감사 플러그인 구성 요소는 각 취약성과 관련된 소스 코드 위치를 쉽게 탐색한 후 우선순위를 정하고 결과를 감사할 수 있도록 하여 보안 코드 검사를 도와줍니다.
  • 분석 – Fortify 보안 콘텐츠와 함께 Micro Focus Fortify Static Code Analyzer 스캔 및 분석을 시작하고 결과를 보고 확인된 문제와 연관된 코드를 수정할 수 있습니다. 이 모든 것이 Eclipse IDE에서 처리됩니다.
  • 협업 – Micro Focus Fortify Software Security Center에 연결, Fortify Software Security Center로 결과 업로드, 협업적 감사 수행 등 서버 관련 기능을 포함합니다. (이 기능을 원하지 않을 경우에는 협업 플러그인을 설치할 필요가 없습니다.)

참고: 지원되는 Eclipse 버전에 대해서는 Micro Focus Fortify Software 시스템 요구 사항 문서를 참조하십시오.

리소스

Fortify Remediation Plugin for Eclipse

Fortify SCA 설치 프로그램에 포함된 Fortify Remediation Plugin for Eclipse는 Micro Focus Fortify Software Security Center와 함께 작동하여 Eclipse IDE의 소프트웨어 보안 분석에 수정 기능을 추가합니다. Eclipse Remediation 플러그인은 Audit Workbench와 Eclipse Complete 플러그인의 스캔 및 감사 기능을 필요로 하지 않는 개발자를 위한 간단한 플러그인 옵션입니다.

Eclipse Remediation 플러그인을 사용하여 개발자들은 보고된 취약성을 쉽고 빠르게 이해하고 적절한 솔루션을 구현할 수 있습니다.

개발자들은 Eclipse에서 코드를 쓸 때 보안 문제를 처리할 수 있습니다. 조직은 Fortify Software Security Center와 함께 Eclipse Remediation 플러그인을 사용하여 프로젝트를 관리하고 관련 개발자들에게 특정 문제를 할당할 수 있습니다.

리소스

Eclipse Fortify on Demand IDE Plugin

Fortify on Demand Plugin for Eclipse - Eclipse 플러그인을 Fortify on Demand로 다운로드하고 해당 플러그인을 사용하여 프로젝트를 업로드하고 스캔을 완료한 후 Fortify on Demand에서 결과를 다운로드하는 방법을 포함합니다.

리소스
Eclipse Fortify on Demand IDE Plugin

Fortify Security Assistant for Eclipse: IDE에서의 실시간 분석

Fortify Security Assistant for Eclipse는 Eclipse Java 개발 환경에 통합됩니다. Fortify Security Assistant for Eclipse는 Fortify 보안 콘텐츠와 함께 작동하여 Java 코드를 쓸 때 잠재적인 보안 문제에 대한 경고를 제공합니다. Fortify Security Assistant for Eclipse는 보안 리스크에 대한 세부 정보와 함께 잠재적인 문제의 보안을 유지하는 방법에 대한 권장 사항을 제공합니다. Fortify Security Assistant for Eclipse가 감지할 수 있는 문제는 다음과 같습니다.

  • 기능과 API를 위험하게 사용하고 있는 것으로 보이는 상황
  • 오염된 데이터가 클래스 내 수준에서 취약한 기능과 API에 도달하는 것으로 인해 발생하는 문제

Fortify Security Assistant for Eclipse 사용을 위해 필요한 것은 다음과 같습니다.

  • 문제 스캔에 필요한 유효 Fortify 라이선스
  • 최신 Fortify Software Security Content
리소스
Fortify Security Assistant for Eclipse

Eclipse 정보

Eclipse IDE는 Java IDE(Integrated Development Environment)로 유명하지만 그 밖에도 C/C++ IDE, JavaScript/TypeScript IDE, PHP IDE 등을 포함하여 수많은 IDE가 있습니다 여러 언어 지원 기능을 비롯하여 다양한 기능을 기본 패키지에 결합하십시오. Eclipse Marketplace를 사용하면 거의 무제한의 맞춤 설정과 확장이 가능합니다. Eclipse IDE에 대해 자세히 알아보기.

Eclipse
release-rel-2023-1-2-hotfix-8487 | Mon Jan 30 16:25:17 PST 2023
8487
release/rel-2023-1-2-hotfix-8487
Mon Jan 30 16:25:17 PST 2023
AWS